var idInspectorInspeccion;
var nombreInspectorInspeccion;

idInspeccionActuaciones = $('#idInspeccion').val();

$("#idInspeccion_filter_table_actuaciones").val(idInspeccionActuaciones);
$("#idInspeccion_detail_table_actuaciones").val(idInspeccionActuaciones);

jQuery(function($){
	
	if(sessionStorage.getItem("mostrarBtnVerCenso") === "true"){
		$("#btnVerCenso").removeAttr("hidden");
	}else{
		$("#btnVerCenso").attr("hidden", "true");
	}
		
	comprobarInspectorInspeccion(idInspeccionActuaciones);	
	$("#idInspectorInspeccion").val(idInspectorInspeccion);
	$("#idInspectorInspeccion_detail_table").val(idInspectorInspeccion);	
	
	
	if($("#inspeccionSinExpediente").val() === "true"){
		$("#btnVerDocumentos").css("opacity", 0.7);
		$("#btnVerDocumentos").removeAttr("href");
		
	} else{
		$("#btnVerDocumentos").css("opacity", 1);
	}
	
	var fechaActual = new Date();
	
	var dd = String(fechaActual.getDate()).padStart(2, '0');
	var mm = String(fechaActual.getMonth() + 1).padStart(2, '0'); 
	var yyyy = fechaActual.getFullYear();
	
	
	var fechaEsp = dd + "/" + mm + "/" + yyyy;
	
	var fechaEu = yyyy + "/" + mm + "/" + dd;
	
	$("#fechaActuacion_detail_table").rup_date({
		maxDate:  (("eu"===$.rup_utils.get("language")) ? fechaEu: fechaEsp)
	});
	
	//Feedback tabla
	$("#actuaciones_feedback").rup_feedback({
		type: "ok",
		gotoTop : true,
		block:false,
		closeLink: true,
		delay: 8000,
		fadeSpeed: 500
	});
	
	//Feedback modal
	$("#actuaciones_detail_feedback").rup_feedback({
		type: "ok",
		gotoTop : true,
		block:false,
		closeLink: true,
		delay: 8000,
		fadeSpeed: 500
	});
	
	//Modal
	$("#actuaciones_detail_div").rup_dialog({
		autoOpen: false,
		width: 1000,
		modal: true,
		position: { my: "center center" },
		type: $.rup.dialog.DIV,
		close: function(event, ui) {
			$("#seleccionaDesTodos").prop("disabled", false);
			$("#idComboTipoDocumentoCompareciente").rup_combo("clear");
			$("#idComboIdioma").rup_combo("clear");
			//propuestaValida -> no existe una propuesta de sancion para la inspeccion	
			var idPropuesta = comprobarPropuesta($('#idInspeccion').val());
			
			comprobarBotonesPropuesta(idPropuesta);
			
			$("#idPropuesta").val(idPropuesta);
		}
	});
	
	//Combo tipos de actuación	
	$("#tipoSelect").rup_combo({
		blank : "",
		source : CTX_PATH + "tiposactuacion",
		sourceParam : {
			label : (("eu"===$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
			value : "idTipoActuacion"
		},
		width: 320,
		ordered: false
	});
	
	if($("#parametroMovilidad").val() === "1") {
		//Datatable
		$("#actuaciones").rup_datatable({
			
			primaryKey: "idActuacion",
			loadOnStartUp: true,
			pagingType: "full_numbers",
			dom: 'rt<"bottom"lip>',
			pageLength : 5,
			lengthMenu: [5, 10, 25, 50],
			filter:{
				id:"actuaciones_filter_form",
				filterToolbar:"actuaciones_filter_toolbar",
				collapsableLayerId:"actuaciones_filter_fieldset"
		 	},
			colReorder: {
				fixedColumnsLeft: 1
			},
	// ordenado por fecha:
			order: [ 2, 'asc' ],
		 	columnDefs: [
		 		{
	 			   targets: [0],
	 			   orderable: false,
	 			   render: function(data, type, row) {
	 				   return "<input type='checkbox' class='actuacionesCheckbox' style='margin-left:8px'/>";
	 			   },
				      className: 'text-center'
	 		    },
			    {
			       targets: [2,3,4,6,7,9,10,11],
			       orderable: true
			    },
			    {
			       targets: [1,5,8,12,13],
			       visible: false
			    },
			    {
				    targets: [2],
				    className: 'text-center'
			    },
			    {
				    targets: [9],
			    	render: function(data){
			    		
			    		if(data !== null){
			    			data = data + " " + $.rup.i18n.app.actuaciones.dias;
			    		} else{
			    			data = '';
			    		}
			    		return data;		    		
			    	},
				    className: 'text-center'
			    },
			    {
			    
					   targets: [14],
					   className: 'text-center',
					   render: function(data, type, row) {
						   if(data !== null && data !== "" && $("#parametroMovilidad").val() === "1"){
								return "<i class='fa fa-check'></i>";
							} else{
								return "";
							}		  
					   }
				   }
			   	
			],
			drawCallback: function() {			
				if ( ! $("#actuaciones").DataTable().data().any()
					|| $.inArray(parseInt($("#resultadoInspeccionFicha").val()), idsResultadoCancelada) !== -1) {
				    $("#btnEditarActuacion").prop("disabled", true);
				    $("#btnEliminarActuacion").prop("disabled", true);
				    if ($.inArray(parseInt($("#resultadoInspeccionFicha").val()), idsResultadoCancelada) !== -1) {
				    	$("#tablaActuaciones").addClass("tablaDisabled");
				    	$("#botoneraTablaActuaciones").addClass("tablaDisabled");
				    }
				} else {
				    $("#btnEditarActuacion").prop("disabled", false);
				    $("#btnEliminarActuacion").prop("disabled", false);
				}
			},
			initComplete: function(){
				
				var tablaActuaciones = $("#actuaciones").DataTable();
				
				if ("eu" === $.rup_utils.get("language")){
					tablaActuaciones.columns( [3,6,10] ).visible( false );
				} else if("es" === $.rup_utils.get("language")) {
					tablaActuaciones.columns( [4,7,11] ).visible( false );
				}
				
				//Para que funcione el número de registros mostrados
				var spanM = document.createElement("span"); 
				var mostrando = document.createTextNode($.rup.i18n.app.paginador.mostrando); 
				spanM.appendChild(mostrando);  
				spanM.className = "mostrando";
				var spanR = document.createElement("span"); 
				var registros = document.createTextNode($.rup.i18n.app.paginador.registros); 
				spanR.appendChild(registros);
				spanR.className = "registros";
				
				var longitudTabla = document.getElementById("actuaciones_length"); 
				longitudTabla.appendChild(spanM); 
				longitudTabla.appendChild(spanR); 
				
				desbloquearInterfaz();
			}
		});
	} else {
		//Datatable
		$("#actuaciones").rup_datatable({
			
			primaryKey: "idActuacion",
			loadOnStartUp: true,
			pagingType: "full_numbers",
			dom: 'rt<"bottom"lip>',
			pageLength : 5,
			lengthMenu: [5, 10, 25, 50],
			filter:{
				id:"actuaciones_filter_form",
				filterToolbar:"actuaciones_filter_toolbar",
				collapsableLayerId:"actuaciones_filter_fieldset"
		 	},
			colReorder: {
				fixedColumnsLeft: 1
			},
			// ordenado por fecha:
			order: [ 2, 'asc' ],
		 	columnDefs: [
		 		{
	 			   targets: [0],
	 			   orderable: false,
	 			   render: function(data, type, row) {
	 				   return "<input type='checkbox' class='actuacionesCheckbox' style='margin-left:8px'/>";
	 			   },
				      className: 'text-center'
	 		    },
			    {
			       targets: [2,3,4,6,7,9,10,11],
			       orderable: true
			    },
			    {
			       targets: [1,5,8,12,13],
			       visible: false
			    },
			    {
				    targets: [2],
				    className: 'text-center'
			    },
			    {
				    targets: [9],
			    	render: function(data){
			    		
			    		if(data !== null){
			    			data = data + " " + $.rup.i18n.app.actuaciones.dias;
			    		} else{
			    			data = '';
			    		}
			    		return data;		    		
			    	},
				    className: 'text-center'
			    }
			   	
			],
			drawCallback: function() {			
				if ( ! $("#actuaciones").DataTable().data().any()
					|| $.inArray(parseInt($("#resultadoInspeccionFicha").val()), idsResultadoCancelada) !== -1) {
				    $("#btnEditarActuacion").prop("disabled", true);
				    $("#btnEliminarActuacion").prop("disabled", true);
				    if ($.inArray(parseInt($("#resultadoInspeccionFicha").val()), idsResultadoCancelada) !== -1) {
				    	$("#tablaActuaciones").addClass("tablaDisabled");
				    	$("#botoneraTablaActuaciones").addClass("tablaDisabled");
				    }
				} else {
				    $("#btnEditarActuacion").prop("disabled", false);
				    $("#btnEliminarActuacion").prop("disabled", false);
				}
			},
			initComplete: function(){
				
				var tablaActuaciones = $("#actuaciones").DataTable();
				
				if ("eu" === $.rup_utils.get("language")){
					tablaActuaciones.columns( [3,6,10] ).visible( false );
				} else if("es" === $.rup_utils.get("language")) {
					tablaActuaciones.columns( [4,7,11] ).visible( false );
				}
				
				//Para que funcione el número de registros mostrados
				var spanM = document.createElement("span"); 
				var mostrando = document.createTextNode($.rup.i18n.app.paginador.mostrando); 
				spanM.appendChild(mostrando);  
				spanM.className = "mostrando";
				var spanR = document.createElement("span"); 
				var registros = document.createTextNode($.rup.i18n.app.paginador.registros); 
				spanR.appendChild(registros);
				spanR.className = "registros";
				
				var longitudTabla = document.getElementById("actuaciones_length"); 
				longitudTabla.appendChild(spanM); 
				longitudTabla.appendChild(spanR); 
				
				desbloquearInterfaz();
			}
		});
	}
	
	var tablaActuaciones = $("#actuaciones").DataTable();
	
	//Fila seleccionada
	$('#actuaciones tbody').on( 'click', 'tr', function () {
		
		if ( $(this).hasClass('selected') ) {
			$(this).find('input').prop('checked',false);
	        $(this).removeClass('selected');
	    }
	    else {
			$(this).find('input').prop('checked',true);
	        $(this).addClass('selected');
	    }

        if(tablaActuaciones.rows('.selected')[0].length === 1){
        	$("#btnEditarActuacion").prop("disabled", false);
        	$("#btnEliminarActuacion").prop("disabled", false);
        } else {
        	$("#btnEditarActuacion").prop("disabled", true);
        	$("#btnEliminarActuacion").prop("disabled", true);
        }
	});
		
	$(document).on('click', '.actuacionesCheckbox', function () {
		if($(this).prop('checked')){	
			$(this).parent().parent().addClass('selected');
			$(this).prop('checked',true);
		}else{
			$(this).parent().parent().removeClass('selected');
			$(this).prop('checked',false);
		}
	});
	
	$('#actuaciones tbody').on('dblclick', 'tr', function () {
		
		if ( $(this).hasClass('selected') ) {
			$(this).find('input').prop('checked',false);
	        $(this).removeClass('selected');
	    }
	    else {
			$(this).find('input').prop('checked',true);
	        $(this).addClass('selected');
	    }
		
		$("#btnEditarActuacion").trigger("click");
	});
	
	$("#seleccionaDesTodosActuaciones").click(function() {
		if( $('#seleccionaDesTodosActuaciones').prop('checked') ) {
			tablaActuaciones.$('tr').addClass('selected');
			$('.actuacionesCheckbox').prop('checked',true);		
		}else{
			tablaActuaciones.$('tr.selected').removeClass('tr-highlight');
			tablaActuaciones.$('tr.selected').removeClass('selected');
			$('.actuacionesCheckbox').prop('checked',false);
		}
		
		if($('#actuaciones').DataTable().rows('.selected').data().toArray().length === 1) {
			$("#btnEditarActuacion").prop("disabled", false);
	    	$("#btnEliminarActuacion").prop("disabled", false);
		} else {
			$("#btnEditarActuacion").prop("disabled", true);
	    	$("#btnEliminarActuacion").prop("disabled", true);
		}
		
	});
	
	//Configuración de campos fecha
	$(".campoFecha").each(function(){
		$("#"+this.id).rup_date();
	});
	
	//Nueva actuación
	$("#btnNuevoActuacion").click(function(){
		$("#mostrarActuacionMovil").hide();
		//Combo resultados de actuación
		$("#resultadoSelect").rup_combo({
			blank : "",
			source : CTX_PATH + "resultadosactuacion/addModalResultadosActuacion/"+idInspeccionActuaciones,
			sourceParam : {
				label : (("eu"===$.rup_utils.get("language")) ? "desResAct.descripcionEuskera": "desResAct.descripcionCastellano"),
				value : "idResultadoActuacion"
			},
			width: 320,
			onLoadSuccess: function() {	
				resetFormActuaciones();			
				$("#inspector_detail_table").val(nombreInspectorInspeccion);
			}
		});
		
		if($('#actuaciones').DataTable().rows('.selected').data().toArray().length > 0){
			
			$.rup_messages("msgConfirm", {
				title: $.rup.i18n.app.actuaciones.nueva,
				message: $.rup.i18n.app.actuaciones.nuevaActuacionConfirm,
				OKFunction:	function() {
					tablaActuaciones 
				    .rows( '.selected' )
				    .nodes()
				    .to$() 
				    .removeClass( 'selected' );
					$('.actuacionesCheckbox').prop('checked',false);
					$("#actuaciones_detail_div").rup_dialog("setOption", "title", $.rup.i18n.app.actuaciones.nueva);
					$("#actuaciones_detail_div").rup_dialog("open");
				}
			});
			
		}else{
			$("#actuaciones_detail_div").rup_dialog("setOption", "title", $.rup.i18n.app.actuaciones.nueva);
			$("#actuaciones_detail_div").rup_dialog("open");
		}
		
		//Formulario
		$("#actuaciones_detail_form").rup_form({
			feedback: $("#actuaciones_detail_feedback"),
			url: CTX_PATH + "actuaciones",
			type: "POST",
			contentType: "application/json",
			dataType:"json",
			validate:{
				rules:{
					"inspeccion.idInspeccion"				  : { required : true },
					"tipoActuacion.idTipoActuacion"			  : { required : true },
					"resultadoActuacion.idResultadoActuacion" : { required : true },
					"fechaActuacion"						  : { required : true, fechaActuacionMenorActual:true, campoValorFechaFin:true, date : true },
					"plazo"					    			  : { maxlength : 4, min : 1 },
					"objetoVisita"							  : { required : true, maxlength : 2000 },
					"observacionesCastellano"				  : { maxlength : 2000 },
					"observacionesEuskera"					  : { maxlength : 2000 }
				}
		   },
		   success: function(){
			   $("#actuaciones_detail_div").rup_dialog('close');
			   
			   $("#idComboTipoDocumentoCompareciente").rup_combo("clear");
				$("#idComboIdioma").rup_combo("clear");				
				
			   tablaActuaciones.ajax.reload();
			   $("#actuaciones_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			   $("#actuaciones_feedback").rup_feedback("set", $.rup.i18n.app.actuaciones.guardarActuacionOk, "ok");
		   },
		   error: function(){
			   $("#actuaciones_detail_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			   $("#actuaciones_detail_feedback").rup_feedback("set", $.rup.i18n.app.actuaciones.guardarActuacionError, "error");
		   }
		});
				
		$("#tablaDocumentosSubidos").attr("hidden", "true");
		$("#actuaciones_detail_feedback").rup_feedback("close");
		
	});
		
	//Editar actuación
	$("#btnEditarActuacion").click(function(){
		
		if($('#actuaciones').DataTable().rows('.selected').data().toArray().length === 1){
			bloquearInterfaz();
			recuperarActuacion();
			$("#tablaDocumentosSubidos").removeAttr("hidden");
			$("#documentosSubidosIdActuacion_filter_table").val($('#actuaciones').DataTable().rows('.selected').data().toArray()[0].idActuacion);
			cargarTablaDocumentosActuaciones();
			$("#actuaciones_detail_feedback").rup_feedback("close");
			
			//Formulario
			$("#actuaciones_detail_form").rup_form({
				feedback: $("#actuaciones_detail_feedback"),
				url: CTX_PATH + "actuaciones",
				type: "PUT",
				contentType: "application/json",
				dataType:"json",
				validate:{
					rules:{
						"inspeccion.idInspeccion"							  : { required : true },
						"tipoActuacion.idTipoActuacion"			  : { required : true },
						"resultadoActuacion.idResultadoActuacion" : { required : true },
						"fechaActuacion"						  : { required : true, fechaActuacionMenorActual:true, campoValorFechaFin:true, date : true },
						"plazo"					    			  : { maxlength : 4, min : 1 },
						"objetoVisita"							  : { required : true, maxlength : 2000 },
						"observacionesCastellano"				  : { maxlength : 2000 },
						"observacionesEuskera"					  : { maxlength : 2000 },
						"seleccionaDesTodos"					  : { required : false }
					}
			   },
			   success: function(){
				   $("#actuaciones_detail_div").rup_dialog('close');
				   
				   $("#idComboTipoDocumentoCompareciente").rup_combo("clear");
				   $("#idComboIdioma").rup_combo("clear");
					
				   tablaActuaciones.ajax.reload();
				   $("#actuaciones_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
				   $("#actuaciones_feedback").rup_feedback("set", $.rup.i18n.app.actuaciones.guardarActuacionOk, "ok");
			   },
			   error: function(){
				   
				   $("#actuaciones_detail_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
				   $("#actuaciones_detail_feedback").rup_feedback("set", $.rup.i18n.app.actuaciones.guardarActuacionError, "error");
			   }
			});
			
		}else{
			$("#actuaciones_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#actuaciones_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.lineaNoSeleccionada, "alert");
		}
		
	});
	
	//Eliminar actuación
	$("#btnEliminarActuacion").click(function(){
		
		if($('#actuaciones').DataTable().rows('.selected').data().toArray().length === 1){
				
			var numeroDocumentosAportados;
			bloquearInterfaz();
			$.ajax({
				url: CTX_PATH + "/actuaciones/obtenerDocumentosExpediente/" + $("#folderId").val() + "/" + $("#procedureId").val() + "/" + $('#actuaciones').DataTable().rows('.selected').data().toArray()[0].idActuacion,
				type: "GET",
				contentType: "application/json",
				dataType:"json",
				async:false,
				success: function(data){
					desbloquearInterfaz();
					numeroDocumentosAportados = data;					
				},
				error: function(){
					desbloquearInterfaz();
					$("#actuaciones_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
					$("#actuaciones_feedback").rup_feedback("set", $.rup.i18n.app.actuaciones.borrarActuacionError, "error");
				}
			});
			
			if(numeroDocumentosAportados === 0){
				var msgConfirm = "";
				var urlEliminar = "";
				if($('#actuaciones').DataTable().rows('.selected').data().toArray()[0].numeroDocumentos === 0){
					msgConfirm = $.rup.i18n.app.actuaciones.borrarActuacion;
					urlEliminar = CTX_PATH + "actuaciones/" + $('#actuaciones').DataTable().rows('.selected').data().toArray()[0].idActuacion;
				}else{
					msgConfirm = $.rup.i18n.app.actuaciones.borrarActuacionConDocumentos;
					urlEliminar = CTX_PATH + "actuaciones/eliminarConDocumentos/" + $('#actuaciones').DataTable().rows('.selected').data().toArray()[0].idActuacion;				
				}
				
				// Mensaje de confirmación
				$.rup_messages("msgConfirm", {
					title: $.rup.i18n.app.tabla.botones.eliminar,
					message: msgConfirm,
					OKFunction:	function() {
						bloquearInterfaz();
						$.ajax({
							url: urlEliminar,
							type: "DELETE",
							success: function(){
								desbloquearInterfaz();
								tablaActuaciones.ajax.reload();
								$("#actuaciones_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
								$("#actuaciones_feedback").rup_feedback("set", $.rup.i18n.app.actuaciones.borrarActuacionOk, "ok");
							},
							error: function(){
								desbloquearInterfaz();
								$("#actuaciones_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
								$("#actuaciones_feedback").rup_feedback("set", $.rup.i18n.app.actuaciones.borrarActuacionError, "error");
							}
						});
					}
				});
			} else {
				desbloquearInterfaz();
				$("#actuaciones_feedback").rup_feedback({gotoTop : true, block : false, closeLink : true});
				$("#actuaciones_feedback").rup_feedback("set", $.rup.i18n.app.actuaciones.borrarDocumentosAportados, "alert");
			}
			
		}else{
			desbloquearInterfaz();
			$("#actuaciones_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true});
			$("#actuaciones_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.lineaNoSeleccionada, "alert");
		}
				
	});
	
	//Botón aportar documentación de la actuación a Tramitagune
	$("#btnAportarActuaciones").click(function(){
		if($('#actuaciones').DataTable().rows('.selected').data().toArray().length > 0){
			bloquearInterfaz();		
			
			$.ajax({
				type: "POST",
				url: CTX_PATH + "actuaciones/aportarActuaciones/"+ $("#folderId").val() + "/" + $("#procedureId").val(),
				contentType: "application/json",
				dataType: "json",
				data: JSON.stringify(actuacionesSeleccionadas()),
				success: function(data){
					desbloquearInterfaz();
					if(data !== -1){
						
						var mensaje = $.rup.i18n.app.mensajes.documentoTramitadoActuaciones;
						
						mensaje = mensaje.replace("{0}", data);
						
						$("#actuaciones_feedback").rup_feedback("set", mensaje, "ok");
						tablaActuaciones.ajax.reload();
					} else {
						$("#actuaciones_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.errorGenerico, "error");
					}
				},
				error: function(){
					desbloquearInterfaz();
					$("#actuaciones_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.errorGenerico, "error");
				}
			});
			
		} else{
			$("#documentosSubidos_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.lineaNoSeleccionada, "alert");
		}
	});
	
	//Guardar
	$("#actuaciones_detail_button_save").click(function(){
		bloquearInterfaz();
		$("#seleccionaDesTodos").prop("disabled", true);
		$(".documentosSubidosCheckbox").prop("disabled", true);
		$("#actuaciones_detail_form").submit();		
		desbloquearInterfaz();
	});
	
	//Cancelar
	$("#actuaciones_detail_button_cancel").click(function(){
		$("#actuaciones_detail_div").rup_dialog('close');
		
		$("#idComboTipoDocumentoCompareciente").rup_combo("clear");
		$("#idComboIdioma").rup_combo("clear");
		
	});
	
	//Feedback tabla documentos
	$("#documentosSubidos_feedback").rup_feedback({
		type: "ok",
		gotoTop : true,
		block:false,
		closeLink: true,
		delay: 8000,
		fadeSpeed: 500
	});
	
	//Feedback modal documentos
	$("#documentosSubidos_detail_feedback").rup_feedback({
		type: "ok",
		gotoTop : true,
		block:false,
		closeLink: true,
		delay: 8000,
		fadeSpeed: 500
	});
	
	//Modal documentos
	$("#documentosSubidos_detail_div").rup_dialog({
		autoOpen: false,
		width: 500,
		modal: true,
		position: { my: "center center" },
		type: $.rup.dialog.DIV
	});
	
	//Botón generar documento
	$("#btnGenerarDocumentoActuaciones").click(function() {
		var url;
		if($("#inspeccionSinExpediente").val() !== "true"){
			sessionStorage.setItem("conExpedienteActuaciones", true);
			url = "/ab79WebAppWar/plantillas/maint/" + $("#idProcedimiento").val() +"/" + $("#idExpediente").val() + "/" + $("#idActuacion_detail_table").val();
		} else{
			sessionStorage.setItem("conExpedienteActuaciones", false);
			url = "/ab79WebAppWar/plantillas/maint/" + $("#idProcedimiento").val() + "/" +  $("#idActuacion_detail_table").val();
		}
		abrirGenerarDocumento(url);	
	});
	
	//Botón añadir documento a la actuación
	$("#btnNuevoDocumentoActuaciones").click(function(){
		
		$("#tipoDocumentoComboDiv").removeAttr("hidden");
		$("#tipoDocumentoTextDiv").attr("hidden", true);
		
		if($('#documentosSubidos').DataTable().rows('.selected').data().toArray().length > 0){
			
			$.rup_messages("msgConfirm", {
				title: $.rup.i18n.app.documentosActuaciones.nueva,
				message: $.rup.i18n.app.documentosActuaciones.nuevoDocumentoConfirm,
				OKFunction:	function() {
					$("#documentosSubidos").DataTable() 
				    .rows( '.selected' )
				    .nodes()
				    .to$() 
				    .removeClass( 'selected' );
					$('.documentosSubidosCheckbox').prop('checked',false);
					$("#documentosSubidos_detail_div").rup_dialog("setOption", "title", $.rup.i18n.app.documentosActuaciones.nueva);
					$("#documentosSubidos_detail_div").rup_dialog("open");
				}
			});
			
		}else{
			$("#documentosSubidos_detail_div").rup_dialog("setOption", "title", $.rup.i18n.app.documentosActuaciones.nueva);
			$("#documentosSubidos_detail_div").rup_dialog("open");
		}
		
		//Formulario documentos
		$("#documentosSubidos_detail_form").rup_form({
			feedback: $("#documentosSubidos_detail_feedback"),
			url: CTX_PATH + "documentosSubidos",
			type: "POST",
			contentType: "application/json",
			dataType:"json",
			validate:{ 
				liveCheckingErrors : false,
				showFieldErrorAsDefault : true,
				showErrorsInFeedback : false,
				showFieldErrorsInFeedback : true,
				rules:{
					"idActuacion"						: { required : true },
					"file"								: { required : true },
					"plantilla.idPlantilla"				: { required : true }
				},
				invalidHandler: function(){
					desbloquearInterfaz();
				}
		   },
		   success: function(){
				desbloquearInterfaz();
			   $("#documentosSubidos_detail_div").rup_dialog('close');
			   $('#documentosSubidos').DataTable().ajax.reload();
			   $("#documentosSubidos_feedback").rup_feedback("set", $.rup.i18n.app.documentosActuaciones.guardarDocumentoOk, "ok");
		   },
		   error: function(data){
				desbloquearInterfaz();
			   $("#documentosSubidos_detail_feedback").rup_feedback("set", $.rup.i18n.app.documentosActuaciones.guardarDocumentoError, "error");
		   }
		});
		
		//Cargar combo tipos plantilla
		$("#tipoPlantillaActuaciones_detail_table").rup_combo({
			blank : "",
			source : CTX_PATH + "plantillas/tiposPlantillaDeDocumento/" + $("#idProcedimiento").val(),
			sourceParam : {
				label : (("eu"===$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
				value : "idPlantilla"
			},
			width: 320
		});	
		
		resetFormDocumentosActuaciones();
		$("#documentosSubidos_detail_feedback").rup_feedback("close");
		$("#documentosSubidosIdActuacion_detail_table").val($('#actuaciones').DataTable().rows('.selected').data().toArray()[0].idActuacion);
		
	});
	
	//Botón editar documento de la actuación
	$("#btnEditarDocumentoActuaciones").click(function() {

		if($('#documentosSubidos').DataTable().rows('.selected').data().toArray().length === 1){
			$("#documentosSubidos_detail_div").rup_dialog("setOption", "title", $.rup.i18n.app.documentosActuaciones.editar);
			$("#documentosSubidos_detail_div").rup_dialog("open");
			
			//Formulario documentos
			$("#documentosSubidos_detail_form").rup_form({
				feedback: $("#relEviDoc_detail_feedback"),
				url: CTX_PATH + "documentosSubidos",
				type: "POST",
				contentType: "application/json",
				dataType:"json",
			    success: function(){
					desbloquearInterfaz();
				    $("#documentosSubidos_detail_div").rup_dialog('close');
				    $('#documentosSubidos').DataTable().ajax.reload();
				    $("#documentosSubidos_feedback").rup_feedback("set", $.rup.i18n.app.documentosActuaciones.guardarDocumentoOk, "ok");
			    },
			    error: function(){
					desbloquearInterfaz();
				    $("#documentosSubidos_detail_feedback").rup_feedback("set", $.rup.i18n.app.documentosActuaciones.guardarDocumentoError, "error");
			    }
			});
			recuperarDocumentoActuacion($('#documentosSubidos').DataTable().rows('.selected').data().toArray()[0].idDocumentoSubido);
			
		} else {
			$("#documentosSubidos_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.lineaNoSeleccionada, "alert");
		}
		
	});	
	
	//Botón descargar documento
	$("#btnDescargarDocumentoActuaciones").click(function(){
		if($('#documentosSubidos').DataTable().rows('.selected').data().toArray().length === 1){
			bloquearInterfaz();
			var urlDescargarRelActDoc;
			
			if(typeof $('#documentosSubidos').DataTable().rows('.selected').data().toArray()[0].oidDokusi !== "undefined" && $('#documentosSubidos').DataTable().rows('.selected').data().toArray()[0].oidDokusi !== "" && $('#documentosSubidos').DataTable().rows('.selected').data().toArray()[0].oidDokusi !== null) {
				urlDescargarRelActDoc = CTX_PATH + "relactdoc/descargarDocumentoDokusi/" + $('#documentosSubidos').DataTable().rows('.selected').data().toArray()[0].oidDokusi + "/" + $('#documentosSubidos').DataTable().rows('.selected').data().toArray()[0].nombreDocumento;
			} else {
				urlDescargarRelActDoc = CTX_PATH + "relactdoc/descargarDocumentoPid/" + $('#documentosSubidos').DataTable().rows('.selected').data().toArray()[0].oidPid + "/" + $('#documentosSubidos').DataTable().rows('.selected').data().toArray()[0].nombreDocumento;
			}
			
			window.location = urlDescargarRelActDoc;
			setTimeout(function() { 
		        desbloquearInterfaz();
		    }, 2000);
		} else{
			$("#documentosSubidos_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.lineaNoSeleccionada, "alert");
		}
	});
		
	//Validacion fecha actuación menor que la fecha fin de inspección
	$.validator.addMethod('campoValorFechaFin', function() {
	    var fechaFin = $("#fechaFinInspeccionHeader").val();
	    var fechaActuacion = $("#fechaActuacion_detail_table").val();
	    var fechaActuacionArray = fechaActuacion.split("/");
	    if("es" == $.rup_utils.get("language")){
	    	fechaActuacion = fechaActuacionArray[2] + "-" + fechaActuacionArray[1] + "-" + fechaActuacionArray[0];
	    } else {
	    	fechaActuacion = fechaActuacionArray[0] + "-" + fechaActuacionArray[1] + "-" + fechaActuacionArray[2];
	    }
	    
	    if(fechaFin){
	    	if(new Date(fechaFin) >= new Date(fechaActuacion)){
	    		return true;
	    	}else{
	    		return false;	
	    	}
	    }else{
	    	return true;
	    }
	 },$.rup.i18n.app.feedback.error.fechaActuacionNoValida);
	
	//Validacion fecha actuación menor que la fecha actual
	$.validator.addMethod('fechaActuacionMenorActual', function() {
	    var fechaActuacion = $("#fechaActuacion_detail_table").val();
	    var fechaActuacionArray = fechaActuacion.split("/");
	    if("es" == $.rup_utils.get("language")){
	    	fechaActuacion = fechaActuacionArray[2] + "-" + fechaActuacionArray[1] + "-" + fechaActuacionArray[0];
	    } else {
	    	fechaActuacion = fechaActuacionArray[0] + "-" + fechaActuacionArray[1] + "-" + fechaActuacionArray[2];
	    }
	    
    	if(new Date(fechaActuacion) <= new Date()){
    		return true;
    	}else{
    		return false;
    	}
	 },$.rup.i18n.app.feedback.error.fechaActuacionMayorActual);
	
	//Botón eliminar documento
	$("#btnEliminarDocumentoActuaciones").click(function(){
		if($('#documentosSubidos').DataTable().rows('.selected').data().toArray().length === 1){
			// Mensaje de confirmación
			$.rup_messages("msgConfirm", {
				title: $.rup.i18n.app.tabla.botones.eliminar,
				message: $.rup.i18n.app.documentosActuaciones.borrarDocumento,
				OKFunction:	function() {
					bloquearInterfaz();
					
					if($('#documentosSubidos').DataTable().rows('.selected').data().toArray()[0].aportadoExpediente == APORTADO_EXPEDIENTE_SI){
						$.ajax({
							url: CTX_PATH + "relactdoc/obtenerDocumentosExpediente/" + $("#folderId").val() + "/" + $("#procedureId").val(),
							type: "GET",
							contentType: "application/json",
							dataType:"json",
							success: function(data){
								var existeEnExpediente = false;
								for (var i = 0; i < data.length; i++) {
									if($('#documentosSubidos').DataTable().rows('.selected').data().toArray()[0].oidDokusi == data[i].oidDokusi){
										existeEnExpediente = true;
										break;
									}
								}
								
								if(existeEnExpediente){
									$("#documentosSubidos_feedback").rup_feedback("set", $.rup.i18n.app.documentosActuaciones.borrarDocumentoCdT, "alert");
									desbloquearInterfaz();
								} else {
									eliminarDocumentoActuacion();
								}
								
							},
							error: function(){
								desbloquearInterfaz();
								$("#documentosSubidos_feedback").rup_feedback("set", $.rup.i18n.app.documentosActuaciones.borrarDocumentoError, "error");
							}
						});
					} else {
						eliminarDocumentoActuacion();
					}
					
					
				}
			});
		} else{
			$("#documentosSubidos_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.lineaNoSeleccionada, "alert");
		}
	});
	
	//Botón cancelar modal documentos
	$("#documentosSubidos_detail_button_cancel").click(function(){
		$("#documentosSubidos_detail_div").rup_dialog("close");
	});
	
	//Botón guardar modal documentos
	$("#documentosSubidos_detail_button_save").click(function(){
		bloquearInterfaz();
		$("#documentosSubidos_detail_form").submit();
	});
	
	//Botón aportar documento a Tramitagune
	$("#btnAportarDocumentoActuaciones").click(function(){
		if($('#documentosSubidos').DataTable().rows('.selected').data().toArray().length > 0){
			bloquearInterfaz();		
			
			$.ajax({
				type: "POST",
				url: CTX_PATH + "documentosSubidos/aportarDocumento/"+ $("#folderId").val() + "/" + $("#procedureId").val(),
				contentType: "application/json",
				dataType: "json",
				data: JSON.stringify(documentosSeleccionados()),
				success: function(data){
					desbloquearInterfaz();
					if(data === "ok"){
						$("#documentosSubidos_feedback").rup_feedback("set", $.rup.i18n.app.mensajes.documentoTramitado, "ok");
						$("#documentosSubidos").DataTable().ajax.reload();
					} else {
						$("#documentosSubidos_feedback").rup_feedback("set", data, "error");
					}
				},
				error: function(){
					desbloquearInterfaz();
					$("#documentosSubidos_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.errorGenerico, "error");
				}
			});
			
		} else{
			$("#documentosSubidos_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.lineaNoSeleccionada, "alert");
		}
	});
	
	/* INICIO COMPARECIENTE */
	$("#idComboTipoDocumentoCompareciente").rup_combo({
		blank:"",
		source : "/ab79WebAppWar/tiposdocumento/verValorCombo",
		sourceParam : {
			label : (("eu" == $.rup_utils.get("language")) ? "descripcionEuskera" : "descripcionCastellano"),
			value : "idTipoDocumento"
		},
		width : 200
	});
	
	var listIdioma = new Array();
	listIdioma[0]= {i18nCaption: $.rup.i18n.app.comboIdioma.blank, value:""};
	listIdioma[1]= {i18nCaption: $.rup.i18n.app.comboIdioma.castellano, value:IDIOMA_CASTELLANO};
	listIdioma[2]= {i18nCaption: $.rup.i18n.app.comboIdioma.euskera, value:IDIOMA_EUSKERA};	
	//Transformo en JSON la lista
	$.toJSON(listIdioma);	
	$("#idComboIdioma").rup_combo({
		source: listIdioma,	
		width : 200
	});

	/* FIN COMPARECIENTE */
	
	if($("#esExpedienteCerrado").val() === "true"){
		setTimeout(function() { 
			bloquearInspeccion();
	    }, 500);
		
	} else {
		setTimeout(function() { 
			desbloquearInspeccion();
			if($.inArray(parseInt($("#resultadoInspeccionFicha").val()), idsResultadoCancelada) !== -1) {
				$("#idComboTipoDocumentoCompareciente").rup_combo("disable");
				$("#btnNuevoActuacion").prop("disabled", true);
			    $("#btnEditarActuacion").prop("disabled", true);
			    $("#btnEliminarActuacion").prop("disabled", true);
			    $("#tablaActuaciones").addClass("tablaDisabled");
			}else if ($("#idInspectorInspeccion").val() !== "")
			{
				$("#btnNuevoActuacion").prop("disabled", false);
			}
			else
			{
				$("#btnNuevoActuacion").prop("disabled", true);
			}
	    }, 500);
	}
	
});

//Recuperamos la actuacion a editar
function recuperarActuacion(){
	$.ajax({
		type: "GET",
		url: CTX_PATH + "actuaciones/" + $('#actuaciones').DataTable().rows('.selected').data().toArray()[0].idActuacion,
		dataType: "json",
		success: function(data){
			//Combo resultados de actuación
			$("#resultadoSelect").rup_combo({
				blank : "",
				source : CTX_PATH + "resultadosactuacion/editModalResultadosActuacion/"+data.resultadoActuacion.idResultadoActuacion+"/"+idInspeccionActuaciones,
				sourceParam : {
					label : (("eu"===$.rup_utils.get("language")) ? "desResAct.descripcionEuskera": "desResAct.descripcionCastellano"),
					value : "idResultadoActuacion"
				},
				width: 280,
				onLoadSuccess: function() {
					if($("#esExpedienteCerrado").val() === "true" && $.inArray(parseInt($("#estadoInspeccion").val()), idsEstadoTerminado) !== -1){
						$("#resultadoSelect").rup_combo("disable");
					}
					$("#resultadoSelect").rup_combo("clear");
					$("#resultadoSelect").rup_combo("setRupValue", data.resultadoActuacion.idResultadoActuacion);
				}
			});
			
			$("#actuaciones_detail_div").rup_dialog("setOption", "title", $.rup.i18n.app.actuaciones.editar);
			$("#actuaciones_detail_div").rup_dialog("open");
			desbloquearInterfaz();
			$("#seleccionaDesTodos").prop("disabled", true);
			$(".documentosSubidosCheckbox").prop("disabled", true);
			$("#actuaciones_detail_form").rup_validate("resetForm");
			$("#seleccionaDesTodos").prop("disabled", false);
			$("#idInspeccion_detail_table_actuaciones").val(idInspeccionActuaciones);			
			$("#idInspectorInspeccion_detail_table").val(idInspectorInspeccion);
			$("#idActuacion_detail_table").val(data.idActuacion);
			$("#tipoSelect").rup_combo("setRupValue", data.tipoActuacion.idTipoActuacion);
			$("#fechaActuacion_detail_table").val(data.fechaActuacion);
			$("#plazo_detail_table").val(data.plazo);
			$("#objetoVisita_detail_table").val(data.objetoVisita);			
			
			if (data.compareciente.idTercero !== 0)
			{
				$("#idTerCompareciente").val(data.compareciente.idTercero);
				$("#idComboTipoDocumentoCompareciente").rup_combo("setRupValue", data.compareciente.tipoDocumento.idTipoDocumento);
				$("#numeroCompareciente").val(data.compareciente.documento);
				$("#nombreCompareciente").val(data.compareciente.nombre);
				$("#apellido1Compareciente").val(data.compareciente.apellido1);
				$("#apellido2Compareciente").val(data.compareciente.apellido2);
				$("#condicionCompareciente").val(data.condicionCompareciente);
				
				if (data.compareciente.idioma !== null) {
					$("#idComboIdioma").rup_combo("setRupValue", data.compareciente.idioma);
				}
				
				$("#observacionesCompareciente").val(data.observacionesCompareciente);
			}
			$("#observacionesCastellano_detail_table").val(data.observacionesCastellano);
			$("#observacionesEuskera_detail_table").val(data.observacionesEuskera);
			
			$("#inspector_detail_table").val(data.inspector.nombreInspector);
			
			if(data.idActuacionMovil !== null && data.idActuacionMovil !== "") {
				$("#mostrarActuacionMovil").show();
			} else {
				$("#mostrarActuacionMovil").hide();
			}
		},
		error: function(){
			$("#actuaciones_detail_div").rup_dialog("close");
			desbloquearInterfaz();
			$("#actuaciones_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#actuaciones_feedback").rup_feedback("set", $.rup.i18n.app.actuaciones.recuperarActuacionError, "error");
		}
	});
}

//Resetear el formulario
function resetFormActuaciones(){	
	$("#tipoSelect").rup_combo("clear");
	$("#resultadoSelect").rup_combo("clear");
	$("#actuaciones_detail_feedback").rup_feedback("close");
	$("#actuaciones_detail_form").rup_validate("resetForm");
	$("#actuaciones_detail_form")[0].reset();
	$("#idInspeccion_detail_table_actuaciones").val(idInspeccionActuaciones);	
	$("#idInspectorInspeccion_detail_table").val(idInspectorInspeccion);
}

//Resetear el formulario de documentos
function resetFormDocumentosActuaciones() {
	$("#documentoActuacionesText").attr("hidden", "true");
	$("#documentoActuaciones_detail_table").removeAttr("hidden");
	$("#documentosSubidos_detail_form").rup_validate("resetForm");
	$("#documentosSubidos_detail_form")[0].reset();
}

//Cargamos la tabla de los documentos asociados a la actuación (RelActDoc)
function cargarTablaDocumentosActuaciones() {
	
	if(!$.fn.DataTable.isDataTable('#documentosSubidos')){
		//Datatable
		$("#documentosSubidos").rup_datatable({
			primaryKey: "idDocumentoSubido",
			loadOnStartUp: true,
			pagingType: "full_numbers",
			dom: 'rt<"bottom"lip>',
			pageLength : 5,
			lengthMenu: [5, 10, 25, 50],
			filter:{
		  		id:"documentosSubidos_filter_form",
		  		filterToolbar:"documentosSubidos_filter_toolbar",
		  		collapsableLayerId:"documentosSubidos_filter_fieldset"
		 	}
			,colReorder: {
				fixedColumnsLeft: 1
			}
			,seeker: {
				activate:true
			},
		 	initComplete:function(){
		 		
		 		var tablaDocumentosActuaciones = $("#documentosSubidos").DataTable();
		 		
				if ("eu" === $.rup_utils.get("language")){
					tablaDocumentosActuaciones.columns( [5] ).visible( false );
				} else if("es" === $.rup_utils.get("language")) {
					tablaDocumentosActuaciones.columns( [6] ).visible( false );
				}
				
				if($("#inspeccionSinExpediente").val() === "true" || $("#esExpedienteCerrado").val() === "true") {
					$("#btnAportarDocumentoActuaciones").prop("disabled", true);
				} else{
					$("#btnAportarDocumentoActuaciones").prop("disabled", false);
				}
		 		
		 		desbloquearInterfaz();
		 		//Fila seleccionada tabla documentos
		 		$('#documentosSubidos tbody').on( 'click', 'tr', function () {
		 	        if($('#documentosSubidos').DataTable().rows('.selected').data().toArray().length === 0){
		 	        	$("#btnEditarDocumentoActuaciones").prop("disabled", false);
		 	        	$("#btnDescargarDocumentoActuaciones").prop("disabled", false);
		 	        	$("#btnEliminarDocumentoActuaciones").prop("disabled", false);
		 	        } else {
		 	        	$("#btnEditarDocumentoActuaciones").prop("disabled", true);
		 	        	$("#btnDescargarDocumentoActuaciones").prop("disabled", true);
		 	        	$("#btnEliminarDocumentoActuaciones").prop("disabled", true);
		 	        }
		 			
		 			if ($(this).hasClass('selected')) {
		 		        $(this).removeClass('selected');
						$(this).find('input').prop('checked',false);
		 		    }
		 		    else {
		 		        $(this).addClass('selected');
						$(this).find('input').prop('checked',true);
		 		    }
		 			
		 			if($('#documentosSubidos').DataTable().rows('.selected').data().toArray().length === 1){
		 				if($('#documentosSubidos').DataTable().rows('.selected').data().toArray()[0].aportadoExpediente === APORTADO_EXPEDIENTE_NO && $("#inspeccionSinExpediente").val() !== "true"){
			 				$("#btnAportarDocumentoActuaciones").prop("disabled", false);
			 			} else{
			 				$("#btnAportarDocumentoActuaciones").prop("disabled", true);
			 			}
		 			}
		 			
		 			if($('#documentosSubidos').DataTable().rows('.selected').data().toArray().length === 1){
		 				if($('#documentosSubidos').DataTable().rows('.selected').data().toArray()[0].aportadoExpediente === APORTADO_EXPEDIENTE_SI){
			 				$("#btnEditarDocumentoActuaciones").prop("disabled", true);
			 			} else{
			 				$("#btnEditarDocumentoActuaciones").prop("disabled", false);
			 			}
		 			}
		 			
		 			if($("#esExpedienteCerrado").val() === "true"){
		 				$("#btnAportarDocumentoActuaciones").prop("disabled", true);
	 		  	  	} 
		 		});
		 		
				$(document).on('click', '.documentosSubidosCheckbox', function () {
					if($(this).prop('checked')){	
						$(this).parent().parent().addClass('selected');
						$(this).prop('checked',true);
					}else{
						$(this).parent().parent().removeClass('selected');
						$(this).prop('checked',false);
					}
				});
				
				$("#seleccionaDesTodos").click(function() {
					if( $('#seleccionaDesTodos').prop('checked') ) {
						tablaDocumentosActuaciones.$('tr.documentoParaAportar').addClass('selected');
						$('.documentosSubidosCheckbox').prop('checked',true);						
					}else{
						tablaDocumentosActuaciones.$('tr.selected').removeClass('tr-highlight');
						tablaDocumentosActuaciones.$('tr.selected').removeClass('selected');
						$('.documentosSubidosCheckbox').prop('checked',false);
					}
					
					if($('#documentosSubidos').DataTable().rows('.selected').data().toArray().length === 1){
						$("#btnEditarDocumentoActuaciones").prop("disabled", false);
		 	        	$("#btnDescargarDocumentoActuaciones").prop("disabled", false);
		 	        	$("#btnEliminarDocumentoActuaciones").prop("disabled", false);
					} else{
						$("#btnEditarDocumentoActuaciones").prop("disabled", true);
		 	        	$("#btnDescargarDocumentoActuaciones").prop("disabled", true);
		 	        	$("#btnEliminarDocumentoActuaciones").prop("disabled", true);
					}
					
					
				});
				
				
		 		
		 	},drawCallback: function() {
		 		$(".documentosSubidosCheckbox").parent().parent().addClass("documentoParaAportar");
		 	},
		 	columnDefs: [
		 		{
	 			   targets: [0],
	 			   orderable: false,
	 			   render: function(data, type, row) {
						if(row.aportadoExpediente === APORTADO_EXPEDIENTE_NO){
							return "<input type='checkbox' class='documentosSubidosCheckbox' style='margin-left:8px'/>";
						} else{
							return '';
						}
 					   
	 			   },
			      className: 'text-center'
	 		    },
		 		{
		 		  targets: [3,5,6,7],
		 		  orderable: false
		 		},
			    {
			      targets: [1,2,4,8,9,10,11],
			      visible: false
			    },
			    {
			    	targets: [7],
			    	render: function(data) {
			    		if(data === APORTADO_EXPEDIENTE_SI){
			    			return $.rup.i18n.app.documentosActuaciones.aportadoExpedienteSi;
			    		} else if(data === APORTADO_EXPEDIENTE_NO){
			    			return $.rup.i18n.app.documentosActuaciones.aportadoExpedienteNo;
			    		} else if(data === APORTADO_EXPEDIENTE_NO_SUBIR){
			    			return $.rup.i18n.app.documentosActuaciones.aportadoExpedienteNoSubir;
			    		}
			    	}
			    }
			]
		});
	} else{
		$("#documentosSubidos").DataTable().ajax.reload();
	}
}

//Recuperamos el documento de la actuación a editar
function recuperarDocumentoActuacion(idDocumentoSubido) {
	$.ajax({
		type: "GET",
		url: CTX_PATH + "documentosSubidos/" + idDocumentoSubido,
		dataType: "json",
		success: function(data){
			desbloquearInterfaz();
			$("#documentosSubidos_detail_form").rup_validate("resetForm");
			$("#documentosSubidos_detail_form")[0].reset();
			$("#idDocumentoSubido_detail_table").val(idDocumentoSubido);
			$("#documentoActuacionesText").val(data.nombreDocumento);
			$("#documentoActuacionesText").prop("disabled", true);
			if("eu"===$.rup_utils.get("language")){
				$("#tipoDocumentoText").val(data.plantilla.descripcionEuskera);
			} else {
				$("#tipoDocumentoText").val(data.plantilla.descripcionCastellano);
			}			
			$("#tipoDocumentoText").prop("disabled", true);			
			if(data.aportadoExpediente === APORTADO_EXPEDIENTE_NO_SUBIR) {
				$("#checkNoSubirAlExpedienteActuaciones").prop("checked", true);
			} else {
				$("#checkNoSubirAlExpedienteActuaciones").prop("checked", false);
			}
			$("#documentoActuacionesText").removeAttr("hidden");
			$("#documentoActuaciones_detail_table").attr("hidden", true);
			$("#tipoDocumentoTextDiv").removeAttr("hidden");
			$("#tipoDocumentoComboDiv").attr("hidden", true);
			$("#tipoPlantillaActuaciones_detail_table").rup_combo("setRupValue", data.plantilla.idPlantilla);
		},
		error: function(){
			desbloquearInterfaz();
			$("#documentosSubidos_detail_div").rup_dialog("close");
			$("#documentosSubidos_feedback").rup_feedback("set", $.rup.i18n.app.actuaciones.recuperarDocumentoActuacionError, "error");
		}
	});
}

function comprobarInspectorInspeccion(idInspeccion){
	
	$.ajax({
		async:false,
		url: CTX_PATH + "inspecciones/comprobarInspectorInspeccion/"+idInspeccion,
		dataType: "json",
		success : function(response){
	
			if(response != null)
			{
				idInspectorInspeccion = response.idInspector;
				nombreInspectorInspeccion = response.nombreInspector;
			}
		}
	});
	
}

function eliminarDocumentoActuacion(){
	$.ajax({
		url: CTX_PATH + "relactdoc/eliminarDocumento/" + $('#documentosSubidos').DataTable().rows('.selected').data().toArray()[0].idDocumentoSubido + "/" + $('#documentosSubidos').DataTable().rows('.selected').data().toArray()[0].oidPid,
		type: "DELETE",
		contentType:"application/json",
		dataType:"json",
		success: function(){
			desbloquearInterfaz();
			$('#documentosSubidos').DataTable().ajax.reload();
			$("#documentosSubidos_feedback").rup_feedback("set", $.rup.i18n.app.documentosActuaciones.borrarDocumentoOk, "ok");
		},
		error: function(){
			desbloquearInterfaz();
			$("#documentosSubidos_feedback").rup_feedback("set", $.rup.i18n.app.documentosActuaciones.borrarDocumentoError, "error");
		}
	});
}

function documentosSeleccionados(){
	var seleccionados = [];
	for (var i = 0; i < $('#documentosSubidos').DataTable().rows('.selected').data().toArray().length; i++) {
		if($('#documentosSubidos').DataTable().rows('.selected').data().toArray()[i].aportadoExpediente === APORTADO_EXPEDIENTE_NO){
			seleccionados.push($('#documentosSubidos').DataTable().rows('.selected').data().toArray()[i]);
		}		
	}
	return seleccionados;
}

function actuacionesSeleccionadas(){
	var seleccionadas = [];
	for (var i = 0; i < $('#actuaciones').DataTable().rows('.selected').data().toArray().length; i++) {
		seleccionadas.push($('#actuaciones').DataTable().rows('.selected').data().toArray()[i]);
	}
	return seleccionadas;
}

